Retrieve all claims for a specific customer
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/customers/{id}/claims/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/customers/{id}/claims/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/customers/{id}/claims/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"data": [
{
"claim_id": "97b8c38f-6015-4ad3-9a2d-d8f2dba48146",
"policy_id": "8dd84bd4-a68a-451b-8f85-8490042f4d71",
"claim_status": "pending",
"claim_amount": "1500.00",
"date_filed": "2024-12-20",
"date_resolved": "null"
}
]
}
]
}Customers
Retrieve all claims for a specific customer
This endpoint returns a list of all claims made by the customer, including active, inactive, or resolved claims.
GET
/
api
/
v1
/
customers
/
{id}
/
claims
/
Retrieve all claims for a specific customer
Authorizations
Path Parameters
Response
200 - application/json
View customer's claims
⌘I
